ColorPickerButton Class Reference
Inheritance diagram for ColorPickerButton:

## Signals

void | clicked ()

## Public Member Functions

| ColorPickerButton (QWidget *parent)

## Protected Member Functions

void | focusInEvent (QFocusEvent *e)
void | focusOutEvent (QFocusEvent *e)
void | keyPressEvent (QKeyEvent *e)
void | keyReleaseEvent (QKeyEvent *e)
void | mouseMoveEvent (QMouseEvent *e)
void | mousePressEvent (QMouseEvent *e)
void | mouseReleaseEvent (QMouseEvent *e)
void | paintEvent (QPaintEvent *e)

## Constructor & Destructor Documentation

## ColorPickerButton()

ColorPickerButton::ColorPickerButton | ( | QWidget * | parent | ) |

## Member Function Documentation

## clicked

void ColorPickerButton::clicked | ( |  | ) |

signal

Referenced by keyReleaseEvent(), and mouseReleaseEvent().

## focusInEvent()

void ColorPickerButton::focusInEvent | ( | QFocusEvent * | e | ) |

protected

## focusOutEvent()

void ColorPickerButton::focusOutEvent | ( | QFocusEvent * | e | ) |

protected

## keyPressEvent()

void ColorPickerButton::keyPressEvent | ( | QKeyEvent * | e | ) |

protected

## keyReleaseEvent()

void ColorPickerButton::keyReleaseEvent | ( | QKeyEvent * | e | ) |

protected

References clicked().

## mouseMoveEvent()

void ColorPickerButton::mouseMoveEvent | ( | QMouseEvent * | e | ) |

protected

## mousePressEvent()

void ColorPickerButton::mousePressEvent | ( | QMouseEvent * | e | ) |

protected

## mouseReleaseEvent()

void ColorPickerButton::mouseReleaseEvent | ( | QMouseEvent * | e | ) |

protected

References clicked().

## paintEvent()

void ColorPickerButton::paintEvent | ( | QPaintEvent * | e | ) |

protected

The documentation for this class was generated from the following file:

- qtiplot/src/lib/3rdparty/qtcolorpicker/src/qtcolorpicker.cpp